#ifndef IDE_TEST
/******************************************************************
 * @file  Ucp_Ape0_Init.s.c
 * @brief:    [file description] 
 * @author: guicheng.liu
 * @Date 2022年1月25日
 * COPYRIGHT NOTICE: (c) smartlogictech. All rights reserved. 
 * Change_date         Owner         Change_content
 * 2022年1月25日        guicheng.liu       create file

*****************************************************************/

/**************************include******************************/
#include <type_define.h>

#include "ape_common.h"
#include "transmitter_func.h"
#include "Fucp_Ape0_slot_ind.h"
#include "task_define.h"
#include "log_interface.h"
#include "Frame_test.h"
#include "trace.h"
#include "osp_ape.h"



/**************************function******************************/
/*************************************************************************/
/* 收到消息后创建任务 */
void ape0_event_task(uint32_t addr, uint32_t size)
{
    uint32_t ape_id = get_core_id();


    osp_task_info_ex mgr_task1 =
       {PHY_TASK_SLOT_IND, "Slot_ind", PHY_TASK_PRI_SLOT_IND, 2048, OSP_TIMER_TYPE, 0x000, 0x3FF, 0, NULLPTR, (OSP_TASKENTRY_FUNC)Slot_ind_Task};
    osp_task_info_ex mgr_task2 =
      {PHY_TASK_TRANSIMITTER, "Transmitter", PHY_TASK_PRI_TRANSMITTER, 4096, OSP_TIMER_TYPE, 0x000, 0x3FF, 50, (OSP_TASKINIT_FUNC)Transmitter_Init, (OSP_TASKENTRY_FUNC)Transmitter_Task};
    osp_task_info_ex mgr_task3 =
          {PHY_TASK_TEST, "Test_Task", PHY_TASK_PRI_TEST, 4096, OSP_TIMER_TYPE, 0x000, 0x3FF, 50, NULL, (OSP_TASKENTRY_FUNC)Test_Task};

   TRACE(TRACE_TRANS_INIT_ADDR, 2, 1);


   osp_task_create(&mgr_task1);
   osp_task_create(&mgr_task2);
//    osp_task_create(&mgr_task3);

   TRACE(TRACE_TRANS_INIT_ADDR, 3, 1);
   // LOG_INFO_S("APE0 finish task create!\n");

   osp_timer_sync(1);
   TRACE(TRACE_TRANS_INIT_ADDR, 4, 1);
   return;
}

/* 收到消息后删除任务 */
void ape0_event_task_del(uint32_t addr, uint32_t size)
{
    uint32_t ape_id = get_core_id();
    //osp_del_task_all(NR_SCS_30K);


    return;
}


/*!   
* @brief:  在Phy init的时候注册物理层管理任务
* @author:  guicheng.liu
* @Date:  2022年2月28日
*/
void Phy_Task_Ape0_Reg()
{
    osp_task_info_ex ape0_event_task_info = {50, "ape0_event_task1", 50, 2048, OSP_EVENT_TYPE, 0, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape0_event_task};
    osp_task_info_ex ape0_event_task_info_del = {51, "ape0_event_task_del1", 51, 2048, OSP_EVENT_TYPE, 0, 0, 0, NULL, (OSP_TASKENTRY_FUNC)ape0_event_task_del};

    osp_task_create(&ape0_event_task_info);
    osp_task_create(&ape0_event_task_info_del);

    return ;



}


/*!   
* @brief:  Phy初始化函数, 每个APE上都需要有一个名字相同的函数
* @author:  guicheng.liu
* @Date:  2022年1月25日
*/
void phy_init()
{
   TRACE(TRACE_TRANS_INIT_ADDR, 1, 1);
   // //初始化函数里面尽量不要输出log，因为可能初始化时msg_transfer_open还未完成
   log_level_e log_level = INFO;
   log_pool_init();
   set_log_level(log_level);

	//memset(&g_phy_cell_cfg, 0, sizeof(phy_cell_cfg_t));

   Phy_Task_Ape0_Reg();
   TRACE(TRACE_TRANS_INIT_ADDR, 5, 1);
}

/*!   
* @brief:  初始化时钟
* @author:  guicheng.liu
* @Date:  2022年11月3日
*/
// void soc_drv_init()
// {
//    SET_CLK_CFG_EMU();//八个核中的一个核调用
//    phy_para_init(0, 0);//八个核中的一个核调用
//    ecs_sram_init();//八个核中的一个核调用
//    ape_stc_init();//八个核中的一个核调用
// }

// /*!   
// * @brief:  初始化stc timer等
// * @author:  guicheng.liu
// * @Date:  2022年11月3日
// */
// void tod_int_init()
// {
//    stc_timer_todint_init();//八个核中的一个核调用
// }
#endif
